Bug 1242382 - Create subpackage for target.service to make it easier to discover
Summary: Create subpackage for target.service to make it easier to discover
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rtslib
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Grover
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-13 08:45 UTC by Fabian Deutsch
Modified: 2015-12-25 00:27 UTC (History)
2 users (show)

Fixed In Version: python-rtslib-2.1.fb59-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-25 00:27:45 UTC


Attachments (Terms of Use)

Description Fabian Deutsch 2015-07-13 08:45:32 UTC
Description of problem:
Currently target.service hides in python-rtslib, without knowing that it is there it is not really obvious that this package and that service needs to be installed. This should be changed to make it obvious what is needed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Andy Grover 2015-07-13 16:02:05 UTC
Good idea. What would be the best name for the new subpackage?

Comment 2 Jan Kurik 2015-07-15 13:18:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Fabian Deutsch 2015-07-20 13:22:07 UTC
The problem is that we are having targetd - because targetd would have been a good name :)

Candidates IMHO:
- targetcli-daemon
- targetcli-restore
- target-daemon
- lio-targetd

Whatevername, it should somehow match that targetcli can be used to configure it.

Comment 4 Fabian Deutsch 2015-07-24 13:10:29 UTC
Are you favoring any of these names?

Comment 5 Andy Grover 2015-08-17 23:04:36 UTC
Sorry for the delay.

I'm not in favor of 'targetcli' in the name because strictly speaking targetcli is not needed -- another configuration tool could be used (or targetcli, but then uninstalled)

I'm not in favor of 'daemon' because there is no daemon :) It's just a program that shoves values into the kernel and then exits.

How about 'target-restore'?

Comment 6 Andy Grover 2015-08-17 23:14:35 UTC
or 'target-service'?

Comment 7 Fabian Deutsch 2015-08-18 08:02:33 UTC
'target-restore' sounds somewhat meaningful to me.

Comment 8 Fedora Update System 2015-08-18 23:10:15 UTC
python-rtslib-2.1.fb57-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-rtslib-2.1.fb57-2.fc22

Comment 9 Fedora Update System 2015-08-18 23:10:22 UTC
python-rtslib-2.1.fb57-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/python-rtslib-2.1.fb57-2.fc23

Comment 10 Fedora Update System 2015-08-22 02:52:01 UTC
python-rtslib-2.1.fb57-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rtslib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/python-rtslib-2.1.fb57-2.fc22

Comment 11 Fedora Update System 2015-08-22 16:26:21 UTC
python-rtslib-2.1.fb57-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rtslib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/python-rtslib-2.1.fb57-2.fc23

Comment 12 Fedora Update System 2015-09-01 09:58:55 UTC
python-rtslib-2.1.fb57-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rtslib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14531

Comment 13 Fedora Update System 2015-09-01 10:05:18 UTC
python-rtslib-2.1.fb57-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rtslib'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14532

Comment 14 Fedora Update System 2015-12-01 22:28:36 UTC
python-rtslib-2.1.fb58-1.fc23 python-configshell-1.1.fb19-1.fc23 targetcli-2.1.fb42-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-295f767735

Comment 15 Fedora Update System 2015-12-04 01:37:44 UTC
python-configshell-1.1.fb19-1.fc23, python-rtslib-2.1.fb58-1.fc23, targetcli-2.1.fb42-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update targetcli python-configshell python-rtslib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-295f767735

Comment 16 Fedora Update System 2015-12-08 18:18:15 UTC
python-configshell-1.1.fb19-1.fc23 python-rtslib-2.1.fb58-2.fc23 targetcli-2.1.fb42-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-295f767735

Comment 17 Fedora Update System 2015-12-10 04:56:44 UTC
python-configshell-1.1.fb19-1.fc23, python-rtslib-2.1.fb58-2.fc23, targetcli-2.1.fb42-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-rtslib targetcli python-configshell'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-295f767735

Comment 18 Fedora Update System 2015-12-12 04:09:04 UTC
python-configshell-1.1.fb19-1.fc23 python-rtslib-2.1.fb59-1.fc23 targetcli-2.1.fb42-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-295f767735

Comment 19 Fedora Update System 2015-12-13 17:22:16 UTC
python-configshell-1.1.fb19-1.fc23, python-rtslib-2.1.fb59-1.fc23, targetcli-2.1.fb42-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-rtslib targetcli python-configshell'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-295f767735

Comment 20 Fedora Update System 2015-12-25 00:27:42 UTC
python-configshell-1.1.fb19-1.fc23, python-rtslib-2.1.fb59-1.fc23, targetcli-2.1.fb42-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.